### A free/open-source library for quantitative finance

Public Member Functions
FDShoutEngine< Scheme > Class Template Reference
Vanilla option engines

Finite-differences pricing engine for shout vanilla options. More...

`#include <ql/pricingengines/vanilla/fdshoutengine.hpp>`

Inherits FDEngineAdapter< base, engine >.

List of all members.

## Public Member Functions

| FDShoutEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps=100, Size gridPoints=100, bool timeDependent=false)

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDShoutEngine< Scheme >

Finite-differences pricing engine for shout vanilla options.

Tests:
  the correctness of the returned greeks is tested by reproducing numerical derivatives.